## org.eclipse.emf.cdo.view
Interface CDORevisionPrefetchingPolicy

    public interface CDORevisionPrefetchingPolicy

Since:
  2.0

Field Summary
`static CDORevisionPrefetchingPolicy` `NO_PREFETCHING`

Method Summary
`java.util.Collection<CDOID>` `loadAhead(CDORevisionManager revisionManager, org.eclipse.emf.ecore.EObject targetObject, org.eclipse.emf.ecore.EStructuralFeature feature, CDOList list, int accessIndex, CDOID accessID)`

Field Detail

### NO_PREFETCHING

    static final CDORevisionPrefetchingPolicy NO_PREFETCHING

Method Detail

### loadAhead

    java.util.Collection<CDOID> loadAhead(CDORevisionManager revisionManager,
                                          org.eclipse.emf.ecore.EObject targetObject,
                                          org.eclipse.emf.ecore.EStructuralFeature feature,
                                          CDOList list,
                                          int accessIndex,
                                          CDOID accessID)

  Parameters:
    `revisionManager` - Lookup availability of objects in the cache with `CDORevisionResolver.containsRevision(CDOID)`.
    `targetObject` - Container of the list
    `feature` -
    `list` -
    `accessIndex` -
    `accessID` -
  Returns:
    Should return a list of id's to be fetch.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.